GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
grpc::condition_variable Class Reference

`#include <sync_no_cxx11.h>`

## Public Member Functions
| condition_variable ()
| ~condition_variable ()
void | wait (lock_guard< mutex > &mu)
void | notify_one ()
void | notify_all ()

## Constructor & Destructor Documentation

grpc::condition_variable::condition_variable | ( |  | ) |
| inline

grpc::condition_variable::~condition_variable | ( |  | ) |
| inline

## Member Function Documentation

void grpc::condition_variable::notify_all | ( |  | ) |
| inline

void grpc::condition_variable::notify_one | ( |  | ) |
| inline

void grpc::condition_variable::wait | ( | lock_guard< mutex > & | mu | ) |
| inline

The documentation for this class was generated from the following file:

- include/grpc++/impl/sync_no_cxx11.h